package Source::Repository::Mass::ALTLinuxBackport::PassThrough;

use strict;
use warnings;
#use Carp;

#use Source::Repository::Mass;
use Source::Repository::Mass::ALTLinuxBackport;
use Source::Repository::Mass::Transform::PassThrough;
our @ISA = qw/Source::Repository::Mass::Transform::PassThrough/;

# explicitly add before @ISA because it should first calculate backport_suffix
sub cli_container_ref { return [ 'RPM::Source::Convert::ALTLinuxBackport' ] }

$Source::Repository::Mass::Transform::PassThrough::originimport='srpmbackport';

sub process_pair_hook {
    my ($self,$argsptr)=@_;
    push @$argsptr, '--backport-suffix='.$RPM::Source::Convert::ALTLinuxBackport::backport_suffix;
}

1;
