package Source::Repository::Mass::RPMNoEpoch;

use strict;
use warnings;

use Source::Repository::Mass;
use Source::Package::Comparators;
use Source::Repository::RPM::NoEpoch;
our $VERSION=0.001;
our $verbose=0;

sub set_defaults {
    $Source::Repository::Mass::epoch_comparator=\&Source::Package::Comparators::null_epoch_comparator;
    $Source::Repository::Mass::origin_class='Source::Repository::RPM::NoEpoch';
    $Source::Repository::Mass::dest_class='Source::Repository::RPM::NoEpoch';
}

set_defaults();

1;
